var Lazy = require("lazy");

module.exports = function(options){
 	var cradle = require('cradle'),
  		lazyList = new Lazy;

  options || ( options = {} );
	options.domain || (options.domain = 'isaacs.couchone.com');
  options.db || (options.db = "registry");
  options.since || (options.since = 5947);
  
  var couch = new(cradle.Connection)(options.domain, 80, {
      cache: true,
      raw: false
  });

  var db = couch.database(options.db);
  
  function hookUpChanges(){
    console.log("establishing connection");
    
		db.changes({since: options.since, include_docs:true}).on('response', function (res) {
    	res.on('data', function (change) {
        options.since = change.seq;
      	lazyList.emit("data", change);
      });

      res.on('end', function () {
        console.log("connection ended", {});
        hookUpChanges();
      });
    });
  }

  hookUpChanges();
  return lazyList;
}