var fs = require("fs");
var Lazy = require("lazy");

module.exports = function(options){
  options || (options = {});
 	options.mockDelay || (options.mockDelay = 1);
  
  var lazyList = new Lazy;
  var exampleChanges = JSON.parse(fs.readFileSync(__dirname+'/examples.json'));
  var currentChange = 0; 


  
  var exampleEmitter = setInterval(function(){
    var change = exampleChanges[currentChange]; 
      if(change){
	    	lazyList.emit("data", change);
  	  	currentChange++;    
      }else{
        clearInterval(exampleEmitter);
      }
  	}, options.mockDelay);

  if(options.since){
    lazyList = lazyList.filter(function(e){return e.seq >= options.since;});
  }

  return lazyList;
}